Class | Rack::Session::Pool
In: | lib/action_controller/vendor/rack-1.0/rack/session/pool.rb
Parent: | Abstract::ID

Rack::Session::Pool provides simple cookie based session management. Session data is stored in a hash held by @pool. In the context of a multithreaded environment, sessions being committed to the pool is done in a merging manner.

The :drop option is available in rack.session.options if you with to explicitly remove the session from the session cache.

Example:

      myapp = MyRackApp.new
      sessioned = Rack::Session::Pool.new(myapp,
        :domain => 'foo.com',
        :expire_after => 2592000
      )
      Rack::Handler::WEBrick.run sessioned

### Methods

generate_sid get_session new set_session

### Constants

DEFAULT_OPTIONS | = | Abstract::ID::DEFAULT_OPTIONS.merge :drop => false

### Attributes

mutex | [R] |
pool | [R] |

### Public Class methods

new(app, options={})

### Public Instance methods

generate_sid()
get_session(env, sid)
set_session(env, session_id, new_session, options)

[Validate]